/** COMMON **/
@font-face {
  font-family: 'Light';
  src: url(/public/fonts/Montserrat-ExtraLight.ttf) format('truetype');
  font-weight: normal;
  font-style: normal;
  font-display: swap
}

@font-face {
  font-family: 'Trebuchet MS';
  src: url(/public/fonts/trebuchet_ms.ttf) format('truetype');
  font-weight: normal;
  font-style: normal;
  font-display: swap
}

@font-face {
  font-family: 'ArialMT';
  src: url(/public/fonts/arialMT.ttf) format('truetype');
  font-weight: normal;
  font-style: normal;
  font-display: swap
}

@font-face {
  font-family: 'Arial-BoldMT';
  src: url(/public/fonts/arial-BoldMT.otf) format('truetype');
  font-weight: normal;
  font-style: normal;
  font-display: swap
}

:root {
  --element-big-radius: 8px;
  --element-radius: 2px;
  --blue-mygamedb: #0a868b;
}

.background-blue-main {
  background-color: var(--blue-mygamedb);
}

picture {
  display: flex;
  justify-content: center;
  align-items: center;
}

body {
  margin: 0;
  font-family: 'Trebuchet MS', serif;
}

.page-fill-height {
  min-height: calc(100vh - 80px);
}

img {
  object-fit: contain;
  max-width: 100%;
}

button {
  background: none;
  border: none;
  cursor: pointer;
  padding: 0;
}

a {
  text-decoration: none;
}

button::-moz-focus-inner {
  border: 0;
}

h1 {
  font-size: 40px;
  font-family: Light, serif;
  text-align: center;
  margin: 20px 0 10px 0;
}

h2 {
  font-size: 25px;
  font-family: Light, serif;
  text-align: center;
  margin: 20px 0 10px 0;
}

h3,
#main-screen-label {
  font-size: 18px;
  font-family: Light, serif;
  text-align: center;
  margin: 20px 0 10px 0;
}

h4 {
  font-size: 16px;
  font-family: Light, serif;
  text-align: center;
  margin: 10px 0 5px 0;
}

.cursor-pointer {
  cursor: pointer;
}

.no-margin {
  margin: 0;
}

.align-center {
  text-align: center;
}

.flex-center {
  display: flex;
  justify-content: center;
}

.flex-between {
  display: flex;
  justify-content: space-between;
}

.flex-around {
  display: flex;
  justify-content: space-around;
}

.flex-wrap {
  flex-wrap: wrap;
}

.popup-message-valid-bottom,
.popup-message-invalid-bottom {
  animation: moveContainerFromBottomToBottom 5s ease-out forwards;
  width: 300px;
  bottom: 3%;
  position: fixed;
  z-index: 5;
  left: 3%;
  text-align: center;
  transform-origin: 0 0;
  box-sizing: border-box;
  padding: 15px 20px;
  box-shadow: 0 14px 28px rgba(0, 0, 0, 0.20), 0 10px 10px rgba(0, 0, 0, 0.18);
}

@keyframes moveContainerFromBottomToBottom {
  0% {
    opacity: 0;
    bottom: 0;
    transform: translate(0, 100%);
  }

  5%,
  95% {
    opacity: 1;
    bottom: 3%;
    transform: translate(0, 0);
  }

  100% {
    opacity: 0;
    bottom: 0;
    transform: translate(0, 100%);
  }
}

.absolute-black-container-picture-container {
  display: flex;
  justify-content: center;
  align-items: center;
  box-sizing: border-box;
  padding: 20px;
  height: 100vh;
}

.absolute-black-container-picture-container img {
  max-height: 100%;
}

.overflow-hidden {
  overflow: hidden;
}

/** COMMON END **/
/** NAV **/
#nav-profile-container {
  display: flex;
  align-items: center;
}

#cross,
#cross-cookie {
  top: 5px;
  right: 5px;
  width: 35px;
  height: 35px;
  cursor: pointer;
  position: absolute;
  opacity: 0.7;
  transition: 0.2s;
}

#cross:hover,
#cross-cookie:hover {
  opacity: 1;
}

#cross-one,
#cross-cookie-one {
  content: '';
  width: 100%;
  height: 2px;
  position: absolute;
  top: 50%;
  transform: translate(0, -50%) rotate(45deg);
}

#cross-two,
#cross-cookie-two {
  content: '';
  width: 100%;
  height: 2px;
  position: absolute;
  top: 50%;
  transform: translate(0, -50%) rotate(-45deg);
}

#number-notification-main {
  width: 8px;
  height: 8px;
  border-radius: 50%;
  position: absolute;
  right: 3px;
  top: 3px;
}

#number-notification-sub {
  color: white;
  font-size: 10pt;
  width: 18px;
  height: 18px;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 50%;
  position: absolute;
  right: 3px;
  top: 50%;
  transform: translate(0, -50%);
}

#cookie-container {
  text-align: center;
  padding: 10px 40px 10px 10px;
  box-sizing: border-box;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-wrap: nowrap;
  position: fixed;
  right: 3%;
  max-width: 100%;
  width: 500px;
  z-index: 5;
  bottom: 0;
  opacity: 0;
  transform: translate(0, 100%);
  animation: moveContainerFromBottom 0.3s ease-out forwards;
  box-shadow: 0 14px 28px rgba(0, 0, 0, 0.20), 0 10px 10px rgba(0, 0, 0, 0.18);
}

#cookie-picture {
  font-size: 25pt;
}

@keyframes moveContainerFromBottom {
  0% {
    opacity: 0;
    bottom: 0;
    transform: translate(0, 100%);
  }

  100% {
    opacity: 1;
    bottom: 3%;
    transform: translate(0, 0);
  }
}

#cookie-container p {
  margin: 0;
}

#cookie-container a {
  text-decoration: underline;
}

nav {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  background-color: var(--blue-mygamedb);
  color: white;
  z-index: 4;
  height: 80px;
  border-radius: 0 0 2px 2px;
}

#nav-burger-checkbox {
  display: none;
}

#nav-burger-label {
  position: absolute;
  right: 3%;
  top: 50%;
  transform: translate(0, -50%);
  font-size: 24pt;
  z-index: 10;
}

#nav-burger-label,
#nav-burger-label::before,
#nav-burger-label::after {
  display: none;
}

#nav-subcontainer {
  display: flex;
  flex-wrap: nowrap;
  justify-content: space-between;
  height: 100%;
}

#nav-settings-menu form {
  margin: 0;
}

nav a i {
  font-size: 18pt;
}

.nav-ripple {
  content: '';
  background-color: rgba(255, 255, 255, 0.1);
  border-radius: 50%;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  position: absolute;
  transition: 0.1s width, 0.1s height;
  width: 0;
  height: 0;
}

.nav-item-not-selected:hover .nav-ripple {
  width: 110%;
  height: 110%;
}

#nav-item-selected .nav-ripple {
  width: 110%;
  height: 110%;
}

#nav-item-selected:hover .nav-ripple {
  width: 130%;
  height: 130%;
}

#nav-left {
  display: flex;
  justify-content: center;
  align-items: center;
  margin-left: 6%;
  width: 160px;
}

#nav-middle {
  display: flex;
  justify-content: center;
  align-items: center;
}

#nav-right {
  display: flex;
  justify-content: center;
  align-items: center;
  margin-right: 6%;
  width: 160px,
}

.nav-menu {
  position: absolute;
  top: 100%;
  opacity: 0;
  background-color: var(--blue-mygamedb);
  width: 220px;
  border-radius: 10px;
  overflow: hidden;
  transform: scale(0);
  box-shadow: 0 14px 28px rgba(0, 0, 0, 0.20), 0 10px 10px rgba(0, 0, 0, 0.18);
}

#nav-settings-menu {
  right: 10%;
}

#nav-profile img {
  width: 40px;
  height: 40px;
  object-fit: contain;
}

#nav-profile-menu {
  right: 4%
}

.nav-item-main {
  width: 47px;
  height: 47px;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 2px 8px;
  margin: 0 3px;
  position: relative;
  box-sizing: border-box;
}

.nav-item-main i {
  font-size: 18pt;
  color: white;
}

.nav-item-main span {
  display: none;
}

.nav-menu form button {
  width: 100%;
  display: flex;
  color: white;
  font-size: 12pt;
}

.nav-menu form,
.nav-menu a {
  width: 100%;
  display: flex;
  color: white;
  padding: 10px 8px;
  transition: 0.1s transform;
  box-sizing: border-box;
  font-size: 12pt;
  position: relative;
}

.nav-menu i {
  font-size: 12pt;
  margin: 0 15px 0 5px;
}

.nav-menu form:hover,
.nav-menu a:hover {
  background-color: rgba(255, 255, 255, 0.1);
}

.nav-menu form picture {
  margin: 0 15px 0 5px;
  font-size: 12pt;
  transition: 0.1s transform;
}

#nav-dark-theme i {
  color: #242424;
}

@keyframes display-submenu {
  0% {
    top: 100%;
    opacity: 0;
  }

  100% {
    top: 110%;
    opacity: 1;
  }
}

@keyframes hide-submenu {
  0% {
    top: 110%;
    opacity: 1;
  }

  100% {
    top: 100%;
    opacity: 0;
  }
}

#nav-automatic-theme i {
  animation-name: themeChange;
  animation-duration: 5s;
  animation-iteration-count: infinite;
}

@keyframes themeChange {
  0% {
    color: #f2f2f2;
  }

  50% {
    color: #242424;
  }

  100% {
    color: #f2f2f2;
  }
}

/** NAV END **/
/** MAIN CONTAINERS **/
#page {
  box-sizing: border-box;
  display: flow-root;
  margin-top: 80px;
}

#container {
  min-height: calc(100vh - 80px);
  margin: 0 auto;
  box-sizing: border-box;
  padding: 10px 10px 50px 10px;
}

@keyframes container-out {
  0% {
    opacity: 1;
  }

  100% {
    opacity: 0;
  }
}

@keyframes container-in {
  0% {
    opacity: 0;
  }

  100% {
    opacity: 1;
  }
}

/** MAIN CONTAINERS END **/
/** INDEX **/
#index-cover {
  box-sizing: border-box;
  overflow: hidden;
  width: 100%;
  height: calc(100vh - 75px);
  margin: 0;
  position: relative;
}

#index-cover-text {
  position: absolute;
  top: 20px;
  width: 100%;
  text-align: center;
}

#index-cover picture {
  overflow: hidden;
  height: 100%;
  width: 100%;
}

#index-cover picture img {
  object-fit: cover;
  max-width: initial;
  width: 100%;
  height: 100%;
}

#index-little-description {
  text-align: center;
  font-size: 20px;
}

#index-categories-container {
  max-width: 1250px;
  margin: 60px auto 50px auto;
  display: flex;
  justify-content: space-around;
  flex-wrap: wrap;
}

.index-category-container {
  max-width: 350px;
  margin: 20px;
  width: 100%;
  display: flex;
}

.index-category-picture-container {
  min-width: 70px;
  max-width: 70px;
  height: 70px;
  margin: 0 5px 0 0;
}

.index-category-picture-container img {
  animation-name: logoAnim;
  animation-duration: 25s;
  animation-iteration-count: infinite;
}

.index-category-text-main {
  font-size: 22px;
  margin: 0 0 5px 0;
}

.index-category-text-secondary {
  font-size: 15px;
  margin: 0;
}

@keyframes logoAnim {
  30% {
    transform: scale(1) rotate(0);
  }

  35% {
    transform: scale(0.9) rotate(-3deg);
  }

  37% {
    transform: scale(1) rotate(2deg);
  }

  39% {
    transform: scale(1) rotate(-1deg);
  }

  0%,
  43%,
  100% {
    transform: scale(1) rotate(0);
  }
}

.indexBackWhiteGreen,
#index-mobygames-container,
#index-google-container {
  padding: 30px;
  box-sizing: border-box;
}

.index-external-picture {
  margin: 20px 0;
  max-height: 250px;
}

.index-external-text {
  width: 700px;
  max-width: 100%;
}

#button-search-moby-games {
  width: 50px;
  height: 50px;
  background-image: url(/public/images/index/logo_moby.webp), url(/public/images/index/logo_moby.png);
  background-repeat: no-repeat;
  background-size: contain;
  background-position: center;
  background-color: #2969B0;
}

#container-mp-index {
  width: 100%;
  margin-top: 20px;
  display: flex;
  justify-content: flex-end;
}

/** INDEX **/
/** BUTTON **/
.social-round-button {
  transition: 0.2s;
  padding: 0;
  margin: 5px;
  width: 53px;
  height: 50px;
  border-radius: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
}

.social-round-button i,
.social-logo i {
  font-size: 22pt;
}

#social-logo-absolute-container {
  position: fixed;
  right: -25px;
  top: 15%;
  z-index: 3;
}

.social-logo:first-child {
  border-radius: var(--element-radius) 0 0 0;
}

.social-logo:last-child {
  border-radius: 0 0 0 var(--element-radius);
}

.social-logo {
  width: 44px;
  height: 44px;
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
  transition: 0.15s;
  position: relative;
  right: 0;
  color: white;
}

.social-logo:hover {
  right: 20px;
}

.social-logo img {
  max-width: 70%;
  max-height: 70%;
}

.social-round-button picture {
  width: 100%;
  height: 100%;
}

.social-round-button img {
  max-width: 75%;
  max-height: 75%;
}

.button-main-orange-form {
  white-space: normal;
}

.button-main-orange,
.button-main-grey {
  text-align: center;
  font-size: 18px;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 10px 25px;
  margin: 5px;
  text-transform: uppercase;
  border: 0;
  border-radius: var(--element-radius);
  position: relative;
  cursor: pointer;
  overflow: hidden;
  transition: 0.1s;
}

.button-main-orange:disabled {
  opacity: 0.7;
}

/** BUTTON **/
/** FORM **/
#middle-form {
  margin: 50px auto;
  width: 95%;
  max-width: 500px;
  padding: 15px;
  border-radius: var(--element-radius);
  box-sizing: border-box;
}

.form-input-container,
.form-input-container-profile {
  width: 100%;
  position: relative;
  display: flex;
  align-items: center;
}

.form-input-container i {
  font-size: 11pt;
  margin-right: 10px;
  width: 20px;
}

.form-input-checkbox-container {
  width: 100%;
  position: relative;
  display: flex;
  align-items: center;
  justify-content: space-around;
}

.checkbox-container-form {
  margin: 10px;
}

.form-input-container-profile {
  margin: 5px 0 0 0;
}

.form-input-container-profile i {
  font-size: 15pt;
  margin-right: 5px;
  width: 24px;
  height: 24px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.form-input-subcontainer-profile {
  width: 100%;
}

.middle-form-input-help {
  align-items: center;
}

.form-input-legend {
  text-align: left;
  padding-left: 10px;
  font-size: 10pt;
  position: absolute;
  right: 5%;
  top: 50%;
  user-select: none;
  -moz-user-select: none;
  -webkit-user-select: none;
  pointer-events: none;
  transform: translate(0, -50%);
}

.form-input-legend-big-margin {
  right: 10%;
}

.middle-form-input-help .i-help {
  font-size: 18pt;
  margin-left: 10px;
  margin-right: 0;
  cursor: pointer;
  width: initial;
}

#middle-form-private-message {
  margin: 20px auto;
  width: 95%;
  max-width: 1200px;
  padding: 15px;
  border-radius: var(--element-radius);
  box-sizing: border-box;
}

#middle-form-private-message textarea {
  min-height: 150px;
}

#middle-form-absolute-container-picture-main {
  max-height: 150px;
}

#middle-form-absolute-container {
  width: 100%;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
}

#middle-form-absolute-container p,
#middle-form-absolute-container h2,
#middle-form-absolute-container div {
  width: 100%;
}

.middle-form-absolute-container-picture {
  max-height: 150px;
}

#middle-form-absolute {
  overflow: auto;
  max-height: 95vh;
  width: 100%;
  max-width: 600px;
  text-align: center;
  padding: 10px;
  position: absolute;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  border-radius: var(--element-big-radius);
}

#middle-form .middle-form-input-container,
#middle-form-absolute .middle-form-input-container {
  box-sizing: border-box;
  display: flex;
  align-items: center;
  margin: 20px 0;
}

#middle-form div img {
  margin: 0 5px 0 0;
}

#middle-form textarea,
#middle-form input[type=text],
#middle-form input[type=password],
#middle-form input[type=email],
#middle-form input[type=date],
#middle-form select,
#middle-form input[type=number],
#middle-form-search input[type=search],
#middle-form-offset-games input[type=search],
#middle-form-offset-pictures input[type=search],
#middle-form-metascore input[type=search],
#middle-form-absolute input[type=text],
#middle-form-absolute input[type=email],
#middle-form-absolute input[type=date],
#middle-form-absolute input[type=password],
#middle-form-absolute select,
#middle-form-absolute input[type=number],
#middle-form-absolute textarea,
#middle-form-delete input[type=text],
#middle-form-private-message textarea,
#middle-form-private-message input[type=text],
#middle-form-private-message select,
#csv-uploader-label,
.file-picker-label {
  transition: 0.2s;
  box-sizing: border-box;
  font-size: 12pt;
  width: 100%;
  border-radius: var(--element-radius);
  border: 2px solid transparent;
  color: #888b9a;
  padding: 8px 15px;
  margin: 3px 0;
  resize: vertical;
  outline: 0;
}

#middle-form-absolute input[type=range] {
  transition: 0.2s;
  width: 100%;
  padding: 0;
  margin: 5px 0;
  cursor: pointer;
  border-radius: 20px;
}

#middle-form input[type=date],
#middle-form-absolute input[type=date] {
  resize: none;
}

#middle-form-search-container,
#middle-form-search,
#middle-form-search-csv,
#middle-form-offset-games,
#middle-form-offset-pictures,
#middle-form-metascore,
#middle-form-delete-container,
#middle-form-delete {
  display: flex;
  justify-content: center;
  align-items: center;
  max-width: 100%;
  margin: 20px 0 10px 0;
}

#middle-form-search,
#middle-form-search-csv {
  position: relative;
}

#middle-form-search input[type=search],
#middle-form-offset-games input[type=search],
#middle-form-offset-pictures input[type=search],
#middle-form-delete input[type=text],
#middle-form-metascore input[type=search],
#csv-uploader-label {
  font-size: 18pt;
  margin: 0;
  width: 450px;
  height: 50px;
  border-top: 2px solid transparent;
  border-left: 2px solid transparent;
  border-bottom: 2px solid transparent;
  border-right: none;
  border-radius: var(--element-radius) 0 0 var(--element-radius);
}

#middle-form-search button,
#middle-form-offset-games button,
#middle-form-offset-pictures button,
#middle-form-delete button,
#middle-form-metascore button,
#middle-form-search-csv button {
  color: white;
  font-size: 20pt;
  margin: 0;
  height: 50px;
  padding: 0;
  width: 50px;
  min-width: 50px;
  border: none;
  outline: none;
  transition: 0.1s;
  border-radius: 0 var(--element-big-radius) var(--element-big-radius) 0;
}

.form-input-hint-percent {
  min-width: 35px;
  margin-left: 5px;
}

.content-span-description {
  width: 60px;
  margin-right: 5px;
  text-align: right;
}

#autocompletion-container {
  position: absolute;
  width: 100%;
  top: 100%;
  z-index: 2;
  left: 0;
  box-sizing: border-box;
  border-radius: var(--element-big-radius);
  overflow: hidden;
  transform: scaleX(0);
  transform-origin: 0 0;
  box-shadow: 0 14px 28px rgba(0, 0, 0, 0.20), 0 10px 10px rgba(0, 0, 0, 0.18);
}

#autocompletion-container div {
  padding: 5px;
  box-sizing: border-box;
}

input:disabled,
textarea:disabled {
  opacity: 0.7;
  border-color: transparent;
}

input[type=checkbox] {
  display: none;
}

input[type=checkbox]~label {
  position: relative;
}

input[type=checkbox]:enabled~label {
  cursor: pointer;
}

input[type=checkbox]~label::before {
  content: '';
  display: flex;
  width: 10px;
  height: 10px;
  position: absolute;
  left: -22px;
  top: 50%;
  transform: translate(0, -50%);
  justify-content: center;
  align-items: center;
  outline-offset: 1px;
  cursor: pointer;
  transition: 0.2s;
}

input[type=checkbox]:disabled~label {
  opacity: 0.5;
}

input[type=radio] {
  display: none;
}

input[type=radio]~label {
  position: relative;
  cursor: pointer;
}

input[type=radio]~label::before {
  content: '';
  display: flex;
  width: 10px;
  height: 10px;
  position: absolute;
  left: -22px;
  top: calc(50% - 7px);
  justify-content: center;
  align-items: center;
  cursor: pointer;
  transition: 0.2s;
  border-radius: 50%;
}

.orange-label {
  padding: 5px;
  margin-top: 5px;
  border-radius: var(--element-radius);
  display: block;
}

#middle-form-absolute-container .export-label-container {
  width: 190px;
  padding-left: 30px;
  font-size: 14pt;
  justify-content: flex-start;
  text-align: left;
  margin: 2px 0;
}

/** FORM END **/
/** COLLECTIONS **/
#middle-container {
  width: 100%;
  padding: 10px 0;
  box-sizing: border-box;
}

#middle-container-information {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  margin: 0 auto;
}

#middle-container-main,
#middle-container-main-games-requests,
#middle-container-main-games-to-validate-requests,
#middle-container-main-barcodes-requests,
#middle-duplicates-container-main,
#middle-barcodes-container-main {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  margin: 20px auto 0 auto;
}

#middle-pages-container {
  display: flex;
  justify-content: center;
  margin-top: 10px;
}

.middle-container-information-element {
  width: 250px;
  max-width: 100%;
  height: 60px;
  border-radius: var(--element-big-radius);
  cursor: pointer;
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 5px;
  position: relative;
  user-select: none;
}

.middle-container-information-element-arrow {
  font-size: 8pt;
  position: absolute;
  left: 19px;
  bottom: 2%;
}

.middle-container-information-picture {
  width: 45px;
  display: flex;
  height: 100%;
  font-size: 23pt;
  align-items: center;
  padding-left: 5px;
  transform-origin: center;
  transition: 0.15s transform;
  justify-content: center;
}

.middle-container-information-element:hover .middle-container-information-picture {
  transform: rotate(-15deg) scale(1.03);
}

.middle-container-information-text-container {
  width: 100%;
  padding-right: 5px;
  display: flex;
  justify-content: flex-end;
  flex-wrap: wrap;
  text-align: right;
}

.middle-container-information-title {
  font-size: 14pt;
  width: 100%;
  margin: 0 0 5px 0
}

.middle-container-information-text {
  font-size: 12pt;
}

.lowercase {
  text-transform: lowercase;
}

#filter-checkbox-container,
#middle-statistics-information-container,
#middle-export-information-container {
  overflow: auto;
  position: absolute;
  top: 100%;
  left: 0;
  right: 0;
  z-index: 3;
  box-shadow: 0 14px 28px rgba(0, 0, 0, 0.20), 0 10px 10px rgba(0, 0, 0, 0.18);
  max-height: calc(100vh - 350px);
  border-radius: var(--element-big-radius);
}

#filter-checkbox-container div {
  width: 100%;
}

#filter-checkbox-container label,
#filter-checkbox-container .filter-empty,
#middle-statistics-information-container div,
#middle-export-information-container div,
#middle-statistics-information-container a {
  padding: 3px 5px;
  width: 100%;
  box-sizing: border-box;
  display: inline-block;
  margin: 0;
}

#middle-export-information-container div {
  cursor: pointer;
}

#middle-container-external-element-not-found-display {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
}

.no-element-text {
  font-size: 16pt;
}

.middle-element-show {
  transform: scale(1);
}

.middle-element-hide {
  transform: scale(0);
}

.middle-element-animate-picture i {
  animation-name: animation-color-filter;
  animation-duration: 1s;
  animation-timing-function: ease-in;
  animation-iteration-count: infinite;
}

@keyframes animation-color-filter {
  0% {
    opacity: 1;
  }

  50% {
    opacity: 0;
  }

  100% {
    opacity: 1;
  }
}

.page {
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 50%;
  width: 30px;
  height: 30px;
  margin: 0 5px;
}

.current-page {
  cursor: default;
}

.middle-element-container {
  max-width: 100%;
  margin: 5px;
  border-radius: var(--element-radius);
  position: relative;
  align-items: flex-start;
  justify-content: flex-start;
  display: flex;
  box-sizing: border-box;
  transition: 0.2s box-shadow;
}

.searched-game-member {
  margin: 0 5px;
  display: flex;
  align-items: center;
}

.searched-game-member i {
  margin: 0 0 0 5px;
}

.middle-element-title {
  font-size: 13pt;
  width: 100%;
  margin: 0;
}

.middle-element-text {
  font-size: 12pt;
  margin: 2px 0;
  min-width: 50%;
}

.middle-element-text i {
  margin-right: 6px;
}

.middle-element-text-award-percent {
  font-size: 10pt;
  margin: 5px 0 0 0;
}

.game-container {
  width: 400px;
}

.game-container-left-part {
  box-sizing: border-box;
  max-width: 90px;
  display: flex;
  padding: 2px;
  justify-content: center;
  align-items: flex-start;
  flex-wrap: wrap;
}

.game-container-right-part {
  box-sizing: border-box;
  padding: 2px;
  width: 100%;
}

.main-platform-container,
.main-accessory-container {
  justify-content: center;
}

.main-platform-container .middle-element-text:nth-child(2n),
.main-accessory-container .middle-element-text:nth-child(2n),
.main-accessory-container .middle-element-text:nth-child(3n) {
  min-width: 25%;
  padding: 0 5%;
}

.game-container-right-part-information-container,
.platform-container-information-container {
  display: flex;
  flex-wrap: wrap;
  margin: 5px 0;
}

.game-container-right-part h3 {
  margin: 10px 0 5px 0;
}

.display-line-container .middle-element-container {
  width: 100%;
  padding: 5px 0;
}

.middle-element-header-line {
  width: 100%;
  font-size: 18pt;
  margin-left: 5%;
  margin-right: 5%;
  margin-bottom: 10px;
  transition: 0.3s opacity;
}

.middle-element-header-line-icon {
  font-size: 12pt;
  margin-right: 10px;
  transition: 0.3s transform;
}

.middle-element-header-line-hidden .middle-element-header-line-icon {
  transform: rotate(180deg);
}

.middle-element-header-line-hidden {
  opacity: 0.7;

}

.middle-element-header-line-title {
  text-align: center;
}

.middle-element-header-line-hr {
  height: 2px;
  width: 100%;
  margin-top: 5px;
  border-radius: 1px;
}

.middle-element-by-field-view-container {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  width: 100%;
  margin-bottom: 40px;
}

.display-line-container .middle-element-text {
  margin: 0 1% 0 0;
  min-width: 160px;
}

.display-line-container .game-container-left-part {
  width: 90px;
}

.rate-container-review {
  width: 100%;
  margin: 0 0 10px 0;
  display: flex;
  justify-content: flex-start;
}

.rate-container-review #rate-sub-container {
  margin: 0 0 0 5px;
}

.display-line-container #rate-container {
  margin-top: 10px;
}

.display-line-container #game-cover {
  max-height: 80px;
}

#game-name {
  margin: 0 0 5px 0;
}

#rate-sub-container {
  display: flex;
  justify-content: flex-start;
  align-items: center;
}

.game-request-middle-element {
  padding: 8px;
}

.platform-container,
.award-container,
.statistics-middle-element-container,
.news-container {
  width: 260px;
  padding: 8px;
  display: block;
}

.barcode-request-middle-element {
  padding: 8px;
}

.gallery-picture-container {
  width: 300px;
  padding: 8px;
  display: block;
}

.statistics-middle-element-container img {
  max-height: 120px;
}

.statistics-middle-element-container {
  text-align: center;
}

.statistics-middle-element-container .middle-element-title {
  width: 100%;
}

.statistics-middle-element-container .middle-element-text {
  width: 100%;
}

.platform-container .middle-element-title,
.award-container .middle-element-title,
.friend-container .middle-element-title {
  margin: 5px 0 0 0;
}

.platform-main-container .middle-element-text {
  min-width: initial;
}

.platform-element-picture,
.award-element-picture,
.news-element-picture {
  max-height: 120px;
}

.gallery-element-picture {
  max-height: 200px;
}

.friend-container {
  width: 300px;
  box-sizing: border-box;
  padding: 8px;
  display: flex;
}

.friend-left-container {
  padding: 5px;
  max-width: 100px;
  box-sizing: border-box;
}

.friend-right-container {
  padding: 5px;
  width: 100%;
  box-sizing: border-box;
}

.loader {
  border-radius: 50%;
  font-size: 11px;
  width: 10em;
  height: 10em;
  box-shadow: inset 0 0 0 0.3em;
  transform: translateZ(0);
}

.loader:before,
.loader:after {
  border-radius: 50%;
  position: absolute;
  content: '';
  width: 5.2em;
  height: 10.2em;
}

.loader:before {
  border-radius: 10.2em 0 0 10.2em;
  top: -0.1em;
  left: -0.1em;
  transform-origin: 5.2em 5.1em;
  animation: load2 1.2s infinite ease 0.9s;
}

.loader:after {
  border-radius: 0 10.2em 10.2em 0;
  top: -0.1em;
  left: 5.1em;
  transform-origin: 0 5.1em;
  animation: load2 1.2s infinite ease;
}

@keyframes load2 {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(360deg);
  }
}

@keyframes loadingRotate {
  0% {
    transform: rotate(0);
  }

  100% {
    transform: rotate(360deg);
  }
}

#loading-container {
  width: 175px;
  height: 175px;
  position: relative;
  border-radius: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
  transform-origin: center center;
  animation-name: loadingRotate;
  animation-iteration-count: infinite;
  animation-duration: 30s;
  animation-timing-function: linear;
}

.middle-element-absolute-menu {
  position: absolute;
  transform: translate(0, 0) scale(0);
  bottom: 0;
  right: -2px;
  z-index: 2;
  opacity: 0;
  display: flex;
  flex-wrap: wrap;
  justify-content: flex-end;
  box-shadow: 0px 3px 3px 0px rgba(0, 0, 0, 0.6);
}

#platform-select {
  min-height: 250px;
}

#friend-select {
  min-height: 120px;
}

.middle-element-container:hover {
  box-shadow: 0 14px 28px rgba(0, 0, 0, 0.1), 0 10px 10px rgba(0, 0, 0, 0.08);
}

@keyframes menu-hover-animation {
  0% {
    transform: translate(0, 0) scale(0);
    opacity: 0;
  }

  1% {
    transform: translate(0, 100%) scale(1);
    opacity: 0;
  }

  100% {
    transform: translate(0, 100%) scale(1);
    opacity: 1;
  }
}

@keyframes menu-hover-out-animation {
  0% {
    transform: translate(0, 100%) scale(1);
    opacity: 1;
  }

  99% {
    transform: translate(0, 100%) scale(1);
    opacity: 0;
  }

  100% {
    transform: translate(0, 0) scale(0);
    opacity: 0;
  }
}

.middle-element-absolute-menu-button {
  transition: 0.2s background-color;
}

.middle-element-absolute-menu-button img {
  max-height: 20px;
  max-width: 20px;
}

.middle-element-absolute-menu-button-white-picture i {
  color: white;
}

.middle-element-absolute-menu-button,
.middle-element-absolute-menu-button-members,
.middle-element-absolute-menu-button-opinions,
.middle-element-absolute-menu-button-information,
.middle-element-absolute-menu-button-saves,
.middle-element-absolute-menu-no-button {
  width: 40px;
  height: 40px;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 14pt;
  cursor: pointer;
  transition: 0.2s color;
  z-index: 1;
}

.middle-element-absolute-menu-no-button {
  cursor: default;
}

.middle-element-button-green,
.middle-element-button-green i,
.amazon-button,
.amazon-button i,
.ebay-button,
.ebay-button i,
.pricecharting-button,
.pricecharting-button i,
.middle-element-button-red,
.middle-element-button-red i,
.youtube-button i,
.middle-element-button-orange,
.middle-element-button-orange i {
  color: white
}

.middle-element-absolute-menu-button-members,
.middle-element-absolute-menu-button-opinions,
.middle-element-absolute-menu-button-saves {
  width: auto;
  min-width: 40px;
  font-size: 11pt;
  box-sizing: border-box;
  padding: 0 5px;
  font-weight: bold;
}

.middle-element-absolute-menu-button-members i,
.middle-element-absolute-menu-button-opinions i {
  font-size: 9pt;
  margin-top: 2px;
}

.middle-element-absolute-menu-button-saves i {
  font-size: 11pt;
  margin-top: 3px;
}

.middle-element-absolute-menu-button-saves span {
  margin-right: 5px;
}

.amazon-button {
  background-color: #ff9900;
}

.amazon-button:hover {
  background-color: #ffa31a;
}

.ebay-button {
  background-color: #0064D3;
}

.ebay-button:hover {
  background-color: #006be6;
}

.gamefaqs-button {
  background-color: #2e419e;
}

.gamefaqs-button:hover {
  background-color: #3449b2;
}

.mobygames-button {
  background-color: #00bdff;
}

.mobygames-button:hover {
  background-color: #1ac2ff;
}

.youtube-button {
  background-color: #ff0000;
}

.youtube-button:hover {
  background-color: #ff3333;
}

.pricecharting-button {
  background-color: #0176d5;
}

.pricecharting-button:hover {
  background-color: #7da542;
}

.button-scroll-to-top {
  position: fixed;
  width: 40px;
  height: 40px;
  right: 4%;
  bottom: 5%;
  border-radius: 50%;
  transform: scale(0);
  transform-origin: 50% 50%;
  transition: 0.2s;
  z-index: 3;
  display: flex;
  justify-content: center;
  align-items: center;
}

.button-scroll-to-top i {
  color: white;
  font-size: 18pt;
}

.button-scroll-display {
  transform: scale(1);
}

#statistics-container-popup {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  box-sizing: border-box;
  padding: 20px;
  overflow: auto;
}

#statistics-container-popup #cross {
  top: 2%;
  right: 2%;
  position: fixed;
}

#statistics-container {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: flex-start;
  max-width: 2130px;
  width: 100%;
  box-sizing: border-box;
}

.award-not-owned {
  opacity: 0.6;
}

.private-message-container {
  width: 100%;
  display: flex;
  align-items: flex-start;
}

.private-message-date {
  position: absolute;
  bottom: 5px;
  right: 5px;
}

.private-message-text {
  margin: 0 0 15px 0;
  min-height: 100px;
}

.private-message-text-container {
  width: 100%;
  position: relative;
  padding: 8px 10px;
}

.private-message-author {
  text-align: center;
  padding: 8px;
  box-sizing: border-box;
  justify-content: center;
  width: 180px;
  display: flex;
  flex-wrap: wrap;
}

.private-message-author p {
  width: 100%;
  margin: 5px 0 0 0;
}

.private-message-author img {
  max-height: 150px;
}

.private-message-subject-middle-element,
.member-middle-element-management {
  margin: 0;
}

.member-middle-element:first-child,
.member-middle-element-management:first-child,
.private-message-subject-middle-element:first-child {
  border-radius: var(--element-radius) var(--element-radius) 0 0;
}

.member-middle-element:last-child,
.member-middle-element-management:last-child,
.private-message-subject-middle-element:last-child {
  border-radius: 0 0 var(--element-radius) var(--element-radius);
}

.member-middle-element,
.member-middle-element-management,
.private-message-subject-middle-element {
  transition: 0.15s;
  width: 100%;
  display: flex;
  flex-wrap: nowrap;
  align-items: center;
  padding: 5px 0;
  z-index: 1;
}

.member-middle-element:hover,
.member-middle-element-management:hover,
.private-message-subject-middle-element:hover {
  z-index: 2;
  box-shadow: 0 14px 28px rgba(0, 0, 0, 0.20), 0 10px 10px rgba(0, 0, 0, 0.18);
}

#member-middle-element-legend div {
  display: flex;
  justify-content: center;
}

#member-middle-element-legend div div {
  position: relative;
  padding: 0 0 0 15px;
  width: auto;
}

#member-middle-element-legend div div::before {
  content: '';
  width: 0;
  height: 0;
  border-style: solid;
  border-width: 0 4px 5px 4px;
  position: absolute;
  left: 0;
  top: 50%;
  transform: translate(0, -150%);
}

#member-middle-element-legend div div::after {
  content: '';
  width: 0;
  height: 0;
  border-style: solid;
  border-width: 5px 4px 0 4px;
  position: absolute;
  left: 0;
  top: 50%;
  transform: translate(0, 50%);
}

.member-middle-element-information {
  width: 20%;
  text-align: center;
}

.member-middle-element-management-information {
  width: 16.6%;
  text-align: center;
}

.grey-games {
  opacity: 0.5;
}

.news-container-date {
  margin: 10px 0 0 0;
  font-size: 11px;
  width: 100%;
  text-align: right;
}

.private-message-subject-middle-element-subject-container {
  width: 70%;
  box-sizing: border-box;
  padding: 0 8px;
}

.private-message-subject-middle-element-subject-container span {
  margin: 0 0 0 10%;
  font-size: 10pt;
}

.private-message-subject-middle-element-subject-container p {
  margin: 0;
  width: 100%;
}

.private-message-subject-middle-element-date-container {
  width: 20%;
}

.private-message-subject-middle-element-select-container {
  width: 10%;
}

.span-checkbox-multiple-edition {
  margin-left: 40px;
}

/** COLLECTIONS END **/
/** PLATFORMS **/
.gamePlatformContainer {
  text-align: center;
  width: 100%;
  display: flex;
  flex-wrap: wrap;
  margin: 8px 0 0 0;
}

.gamePlatform {
  text-align: center;
  font-size: 12px;
  padding: 0 4px;
  border-radius: 8px;
  margin: 2px;
}

.gamePlatformAdd {
  position: relative;
  padding: 0 4px 0 18px;
}

.gamePlatformAdd::before,
.gamePlatformAdd::after {
  content: '';
  background-color: white;
  width: 2px;
  height: 11px;
  border-radius: 1px;
  position: absolute;
}

.gamePlatformAdd::before {
  transform: translate(-50%, -50%);
  left: 10px;
  top: 50%;
}

.gamePlatformAdd::after {
  left: 10px;
  top: 50%;
  transform: translate(-50%, -50%) rotate(90deg);
}

.ps5 {
  background-color: #0a2777;
}

.ps4 {
  background-color: #015bd6;
}

.ps3 {
  background-color: #07346f;
}

.ps2 {
  background-color: #202091;
}

.xboxSeries {
  background-color: #107c0f;
}

.xboxOne {
  background-color: #3b7e14;
}

.xbox360 {
  background-color: #86b300;
}

.xbox {
  background-color: #7da527;
}

.wiiU {
  background-color: #01acca;
}

.wii {
  background-color: #a4a4a4;
}

.switch {
  background-color: #ff554d;
}

.switch2 {
  background-color: #e80115;
}

.n3ds {
  background-color: #e70012;
}

.nds {
  background-color: #221e1f;
}

.windows {
  background-color: #008fcc;
}

.gameCube {
  background-color: #3e3e9e;
}

.android {
  background-color: #24c26b;
}

.apple {
  background-color: #8c8c8c;
}

/** PLATFORMS END **/
/** PICTURE CHOOSER MIDDLE FORM **/
.scroller-picture-selected {
  border-radius: 25px;
}

.middle-form-scroller-picture {
  max-width: 80px;
  max-height: 80px;
  margin: 0 5px;
  cursor: pointer;
}

#middle-form-scroller-pictures-container {
  margin: 5px 0;
  overflow: auto;
  display: flex;
  justify-content: center;
  flex-wrap: nowrap;
  text-align: center;
}

/** PICTURE CHOOSER MIDDLE FORM END **/
/** OTHERS **/
.hide {
  display: none;
}

/** OTHERS END **/
/** STATISTICS **/
.graph-container-little,
.graph-container-big {
  margin: 10px;
}

.graph-container-little {
  width: 500px;
  max-width: 100%;
}

.graph-container-big {
  width: 1600px;
  max-width: 100%;
}

.graph-container-little canvas,
.graph-container-big canvas {
  margin: 0 auto;
}

.graph-container-little canvas {
  max-width: 600px;
}

/** STATISTICS END **/
/** PROFILE **/
#profile-right {
  width: 60%;
}

#profile-left {
  width: 40%;
}

#profile-right p {
  margin: 10px 0;
  text-align: center;
}

#profile-container {
  align-items: flex-start;
}

#profile-right,
#profile-left {
  max-width: 500px;
  margin: 50px;
  padding: 15px;
  border-radius: var(--element-radius);
  box-sizing: border-box;
}

.profile-information-container {
  text-align: center;
}

.profile-information-container p {
  margin: 8px 0;
}

.profile-information-container img {
  max-width: 250px;
  max-height: 250px;
  width: 100%;
}

.profile-right-information {
  display: flex;
  align-items: center;
  justify-content: center;
}

.profile-right-information img {
  margin: 0 10px 0 0;
}

/** PROFILE END **/
/** GALLERY **/
.picToAdd {
  width: 300px;
  height: 300px;
  margin: 10px;
  border-radius: var(--element-radius);
  position: relative;
  flex-wrap: wrap;
}

.picToAdd .imgContainer {
  width: 100%;
  height: 250px;
}

.picToAdd textarea {
  resize: none;
  width: 100%;
  height: 50px;
  box-sizing: border-box;
  font-size: 15px;
  padding: 3px 3px;
  border: 1px solid transparent;
}

#fileAdder {
  display: flex;
  width: 300px;
  height: 300px;
  margin: 10px;
  position: relative;
  border-radius: var(--element-radius);
}

#clickOrDrag {
  position: absolute;
  bottom: 5px;
  left: 20px;
  right: 20px;
  text-align: center;
  -webkit-user-select: none;
  -moz-user-select: none;
  user-select: none;
}

#fileAdderPlus1 {
  width: 8%;
  height: 50%;
  position: absolute;
  top: 50%;
  left: 50%;
  border-radius: 10px;
  transform: translate(-50%, -50%);
  transition: 0.2s;
}

#fileAdderPlus2 {
  width: 50%;
  height: 8%;
  position: absolute;
  top: 50%;
  left: 50%;
  border-radius: 10px;
  transform: translate(-50%, -50%);
  transition: 0.2s;
}

#fileAdder:hover>#fileAdderPlus1,
.fileAdderDragOn>#fileAdderPlus1 {
  transform: translate(-50%, -50%) scale(1.2);
}

#fileAdder:hover>#fileAdderPlus2,
.fileAdderDragOn>#fileAdderPlus2 {
  transform: translate(-50%, -50%) scale(1.2);
}

#containPicsToAdd {
  width: 100%;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
}

.pictureContainer {
  overflow: hidden;
  border-radius: var(--element-radius);
  width: 350px;
  height: auto;
  margin: 10px 5px;
  box-sizing: border-box;
  display: flex;
  justify-content: flex-start;
  align-items: flex-start;
  flex-wrap: wrap;
}

.picContainer {
  box-sizing: border-box;
  padding: 10px;
  width: 100%;
  height: auto;
  max-height: 300px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.picContainer img {
  max-height: 280px;
  cursor: pointer;
}

/** GALLERY END **/
/** OTHER **/
.premium-text {
  width: 800px;
  max-width: 100%;
  margin: 50px auto 20px auto;
}

#about-container {
  width: 100%;
  max-width: 800px;
}

#partners-container {
  width: 100%;
  max-width: 1200px;
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
}

.partner-item {
  max-width: 100%;
  margin: 5px;
  border-radius: var(--element-radius);
  position: relative;
  flex-direction: row;
  display: flex;
  box-sizing: border-box;
  transition: 0.2s box-shadow;
  width: 250px;
  align-items: center;
  flex-wrap: wrap;
  padding: 4px;
}

.partner-item:hover {
  box-shadow: 0 14px 28px rgba(0, 0, 0, 0.1), 0 10px 10px rgba(0, 0, 0, 0.08);
}

.partner-picture {
  width: 100%;
  display: flex;
  justify-content: center;
  margin: 3px 0;
}

.partner-picture img {
  border-radius: 50%;
}

.partner-item p {
  text-align: center;
}

.partner-title {
  font-size: 13pt;
  width: 100%;
  margin: 3px 0;
}

.partner-description {
  margin: 3px 0;
  font-size: 12pt;
}

.instagram-button {
  background-color: #c32aa3;
}

.instagram-button:hover {
  background-color: #f46f30;
}

.twitter-button {
  background-color: #55acee;
}

.twitter-button:hover {
  background-color: #74bbf1;
}

.facebook-button {
  background-color: #3b5999;
}

.facebook-button:hover {
  background-color: #476bb8;
}

.google-play-button {
  background-color: #2abb67;
}

.google-play-button:hover {
  background-color: #2fd072;
}

.discord-button {
  background-color: #536eff;
}

.discord-button:hover {
  background-color: #667dff;
}

.centerpage-fill-height {
  display: flex;
  justify-content: center;
  align-items: center;
}

#loading-container-news {
  width: 100%;
}

.barcode-input {
  background: none;
  border: none;
  outline: none;
  width: auto;
  font-size: 12pt;
  max-width: 120px;
  text-align: center;
}

#blackContainer,
#blackContainerPicture {
  transform-origin: 50% 50%;
  background-color: rgba(0, 0, 0, 0.8);
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  z-index: 4;
}

#blackContainerNoAnim {
  background-color: rgba(0, 0, 0, 0.8);
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  z-index: 4;
}

.statsSubContainer {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: baseline;
  box-sizing: border-box;
  padding: 0 0 35px 0;
  width: 100%;
}

#closeCross {
  cursor: pointer;
  width: 30px;
  height: 30px;
  position: absolute;
  top: 5px;
  right: 5px;
  transition: 0.1s;
}

#closeCross:hover {
  transform: scale(1.2);
}

.closeCrossRect {
  width: 100%;
  height: 10%;
  position: absolute;
  border-radius: 10px;
  top: 50%;
}

/** OTHER END **/
.cursor-default {
  cursor: default;
}

.multiple-edition-element-selecting .middle-element-absolute-menu {
  display: none;
}

#api-information {
  max-width: 1200px;
  margin: 10px auto 0 auto;
  text-align: center;
  font-size: 13pt;
}

#statistics-be-logged {
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}

#statistics-be-logged a {
  margin-left: 5px;
}

#middle-form-absolute-container-in {
  margin: 20px 10px;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
}

.middle-form-platform-element {
  min-width: 150px;
  margin: 2px 5px;
}

#csv-uploader-label,
.file-picker-label {
  cursor: pointer;
  display: flex;
  align-items: center;
}

#csv-uploader {
  display: none;
}

#middle-form-search-csv {
  display: none;
}

#premium-table {
  margin-left: auto;
  margin-right: auto;
}

#premium-table td {
  padding-top: 4px;
  padding-bottom: 4px;
  padding-left: 15px;
  padding-right: 15px;
}

#premium-table,
#premium-table td,
#premium-table tr,
#premium-table th {
  border-collapse: collapse;
}

.margin-top-10 {
  margin-top: 10px;
}

.max-width {
  width: 100%;
}

.mobygames-game-picture {
  position: absolute;
  right: 5px;
  bottom: 5px;
  width: 25px;
  height: 25px;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: #2969B0;
}

#saves-container {
  margin-top: 10px;
}

.save-container {
  display: flex;
  flex-direction: row;
  padding: 10px;
  box-sizing: border-box;
  margin: 5px 0;
}

#middle-form-absolute-container .save-picture-container {
  width: auto;
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.save-container i {
  font-size: 30pt;
  margin-right: 10px;
}

.save-container p {
  font-size: 12pt;
  margin: 0;
  text-align: left;
}

.save-container span:first-child {
  margin: 0 10px 0 0;
}

.save-container .save-date {
  font-size: 11pt;
  text-align: right;
}

#save-links-container {
  display: flex;
  flex-direction: row;
  justify-content: left;
  margin-top: 10px;
}

#display-add-filter-container {
  width: 100%;
}

#display-add-filter-container div {
  width: 100%;
  display: flex;
  justify-content: center;
}

#display-add-filter-container p {
  cursor: pointer;
  user-select: none;
}

.game-barcodes-title {
  margin: 10px 0 0 0;
}

.game-barcode-item {
  display: flex;
  position: relative;
  cursor: pointer;
}

.game-barcode-item span {
  width: 110px;
  padding-left: 10px;
}

.game-barcode-item::before {
  content: '';
  position: absolute;
  width: 7px;
  height: 7px;
  border-radius: 50%;
  background-color: var(--orange);
  top: 50%;
  transform: translate(0, -50%);
  display: none;
}

.game-barcode-item:hover::before {
  display: block;
}

.only-visible-for {
  position: absolute;
  right: 5px;
  bottom: 5px;
}

.radio-form {
  padding-left: 30px;
}

#middle-form-absolute-container #hltb-title,
#middle-form-absolute-container #metacritic-title {
  display: flex;
  align-items: center;
  justify-content: center;
  margin-top: 20px;
}

#middle-form-absolute-container #metacritic-title {
  margin-bottom: 15px;
}

#middle-form-absolute-container #hltb-title h2,
#middle-form-absolute-container #metacritic-title h2 {
  width: auto;
  margin: 0 0 0 20px;
}

#middle-form-absolute-container #hltb-logo,
#middle-form-absolute-container #metacritic-logo {
  width: 50px;
  height: 50px;
  border-radius: 10px;
  background-color: black;
  display: flex;
  align-items: center;
  justify-content: center;
}

#middle-form-absolute-container #hltb-link {
  width: 100%;
}

#middle-form-absolute-container #hltb-data-container {
  list-style: none;
  width: 100%;
  margin: 20px 0;
  padding: 0;
}

#middle-form-absolute-container #hltb-data-container li {
  width: 33%;
  padding: 10px;
  list-style: none;
  display: inline-block;
  box-sizing: border-box;
}

#middle-form-absolute-container #hltb-data-container li:first-child {
  border-top-left-radius: 4px;
  border-bottom-left-radius: 4px;
}

#middle-form-absolute-container #hltb-data-container li:last-child {
  border-top-right-radius: 4px;
  border-bottom-right-radius: 4px;
  border-right: none;
}

#middle-form-absolute-container .metacritic-container-link {
  margin: 5px;
  border-radius: 4px;
  padding: 20px;
}

#middle-form-absolute-container .metacritic-platform-name {
  margin: 0 0 10px 0;
}

#middle-form-absolute-container .metacritic-data-container {
  width: auto;
  display: flex;
  align-items: center;
}

#middle-form-absolute-container .metascore {
  width: 50px;
  height: 50px;
  display: flex;
  justify-content: center;
  align-items: center;
  color: #fff;
  font-size: 25px;
  font-family: Arial, serif;
  min-width: 50px;
  margin-right: 10px;
}

#middle-form-absolute-container .green-game {
  background-color: #66cc33;
}

#middle-form-absolute-container .yellow-game {
  background-color: #ffcc33;
}

#middle-form-absolute-container .red-game {
  background-color: #ff0000;
}

#middle-form-absolute-container .metacritic-sub-container {
  display: flex;
  flex-direction: row;
  flex-direction: column;
}

#middle-form-absolute-container .metacritic-sub-container p {
  text-align: left;
}

#middle-form-absolute-container .metacritic-label {
  font-family: 'Arial-BoldMT', serif;
  font-size: 28px;
  margin: 0;
  line-height: 30px;
}

#middle-form-absolute-container .metacritic-reviews {
  font-family: 'Arial', serif;
  font-size: 16px;
  margin: 0;
}

#middle-form-absolute-container .metacritic-data-logo {
  width: 40px;
  height: 40px;
  margin-right: 10px;
}

#middle-form-absolute-container .link-picture-container {
  width: 50px;
  height: 50px;
  border-radius: 10px;
  display: flex;
  align-items: center;
  justify-content: center;
  margin: 0 10px;
}

#middle-form-absolute-container .link-picture-container i {
  font-size: 20pt;
  margin-top: 3px;
}

.game-container:hover .game-completed-badge {
  opacity: 1;
}

.game-completed-badge {
  position: absolute;
  right: 5px;
  bottom: 5px;
  padding: 5px;
  border-radius: 50%;
  color: white;
  opacity: 0.6;
  transition: 0.2s;
}